@charset "UTF-8";

.cart-section .h1 {
	margin: 0 0 20px 0;
}

@media only screen and (min-width: 1280px) {
	.cart-section .h1 {
		margin-bottom: 40px;
	}
}

.cart-actions {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: space-between;
	gap: 20px;
	margin: 0 0 20px 0;
}

@media only screen and (min-width: 1280px) {
	.cart-actions {
		margin-bottom: 40px;
	}
}

.cart-actions>* {
	flex: 0 0 auto;
	max-width: 100%;
}

.cart-actions .btn {
	font-size: var(--text);
	gap: 6px;
}

.cart-wrap-content {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	gap: 40px 0;
}

.cart-wrap-content>* {
	flex: 0 0 auto;
	width: 100%;
}

@media only screen and (min-width: 1000px) {
	.cart-main {
		width: calc(100% - 20px - var(--sidebar));
	}

	.cart-sidebar {
		width: var(--sidebar);
	}
}

.cart-sidebar {
	align-self: flex-start;
	display: flex;
	gap: 20px;
	flex-wrap: wrap;
	justify-content: space-between;
}

.cart-sidebar>* {
	flex: 0 0 auto;
	width: 100%;
}

@media only screen and (min-width: 768px) and (max-width: 999px) {
	.cart-sidebar .cart-total {
		width: calc(100% - 283px);
	}

	.cart-sidebar .cart-login {
		width: 263px;
	}
}

.cart-total {
	display: flex;
	flex-direction: column;
	gap: 20px;
	padding: 19px;
	border: 1px solid var(--darkblue);
	border-radius: var(--radius);
	font-weight: 600;
	font-size: var(--big-text);
	line-height: 1.2;
	color: var(--darkblue);
}

.cart-total strong {
	font-weight: bold;
}

.cart-total ul,
.cart-total li {
	list-style: none;
	margin: 0;
	padding: 0;
}

.cart-total li:before {
	display: none;
}

.cart-total ul {
	display: flex;
	flex-direction: column;
	gap: 20px;
}

.cart-total li {
	display: flex;
	flex-wrap: wrap;
	align-items: flex-start;
	gap: 4px 6px;
}

.cart-total .btn {
	flex: 0 0 auto;
	max-width: none;
	white-space: nowrap;
	align-self: flex-start;
	height: 32px;
	font-size: var(--bold-text);
}

@media only screen and (min-width: 1280px) and (max-width: 1499px) {
	.cart-total .btn {
		height: 34px;
	}
}

@media only screen and (min-width: 1500px) {
	.cart-total .btn {
		height: 41px;
	}
}

.cart-login {
	background: var(--lightblue);
	color: var(--darkblue);
	font: 600 var(--small-text)/1.5 var(--font2);
	padding: 20px;
	display: flex;
	flex-direction: column;
	gap: 20px;
	border-radius: var(--radius);
}

.cart-login .btn {
	align-self: flex-start;
	height: 32px;
	font-weight: 600;
	font-size: var(--bold-text);
}

.cart-login .btn svg {
	margin: -2px;
}

@media (pointer:fine) {
	.cart-login .btn-yellow:hover {
		background-color: var(--darkblue);
		color: var(--white);
	}
}

@media only screen and (min-width: 1500px) {
	.cart-login {
		flex-direction: row;
		align-items: center;
	}

	.cart-login .btn {
		align-self: center;
		flex: 0 0 auto;
	}
}

.cart-table {
	border: 1px solid var(--darkblue);
	border-radius: var(--radius);
}

.cart-table table {
	border-collapse: collapse;
	border: 0;
	margin: 0;
	padding: 0;
	background: none;
	width: 100%;
}

.cart-table td {
	text-align: left;
	vertical-align: middle;
	padding: 18px 10px;
	/*edited 15.10.25*/
	min-height: 60px;
	border-width: 0 0 1px 0;
	border-color: var(--lightlightgrey);
	border-style: solid;
	transition-property: border, background;
	transition-duration: 0.4s;
	transition-timing-function: ease;
}

@media only screen and (min-width: 1280px) {
	.cart-table td:not(:first-child) {
		padding-left: 20px;
	}

	.cart-table td:not(:last-child) {
		padding-right: 20px;
	}
}

.cart-table tr:first-child td:first-child {
	border-top-left-radius: calc(var(--radius) - 1px);
}

.cart-table tr:first-child td:last-child {
	border-top-right-radius: calc(var(--radius) - 1px);
}

.cart-table tr:last-child td:first-child {
	border-bottom-left-radius: calc(var(--radius) - 1px);
}

.cart-table tr:last-child td:last-child {
	border-bottom-right-radius: calc(var(--radius) - 1px);
}

@media (pointer:fine) {
	.cart-table tr:hover td {
		background-color: var(--lightlightblue);
	}
}

.cart-table tr:last-child td {
	border-width: 0;
}

.cart-table td:not(.text) {
	width: 1px;
	white-space: nowrap;
}

.cart-table .name {
	text-wrap: auto;
	font: 600 var(--bold-text)/1.2 var(--font1);
	color: var(--darkblue);
	margin: 0;
}

.cart-table .price {
	text-align: right;
	font: bold var(--big-text)/1 var(--font1);
	color: var(--darkblue);
	min-width: 6em;
}

.cart-table .price,
.cart-table .price * {
	white-space: nowrap;
}

.cart-table .price del {
	text-decoration: line-through;
}

.cart-table .price del,
.cart-table .price .small {
	display: block;
	font-weight: normal;
	font-size: var(--small-text);
	margin: 0 0 4px 0;
	color: var(--lightgrey);
}

/*added 15.10.25 start*/
.cart-table .price .price-per-unit {
	display: none;
}

.cart-table tr:has(.input-num[data-show-unit-price="true"]) .price .price-per-unit {
	display: block;
}

/*added 15.10.25 end*/
.cart-table .price a:not(.btn) {
	font-weight: 600;
	font-size: var(--small-text);
	text-decoration: none;
}

@media (pointer:fine) {
	.cart-table .price a:not(.btn):hover {
		text-decoration: underline;
	}
}

.cart-table .input-num {
	width: 60px;
}

.cart-table .actions>div {
	display: flex;
}

.cart-table .link {
	cursor: pointer;
	user-select: none;
	position: relative;
}

.cart-table .link svg {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate3d(-50%, -50%, 0);
	transition: fill 0.4s ease;
}

.cart-table .link-bookmark,
.cart-table .link {
	flex: 0 0 auto;
	width: 44px;
	height: 40px;
}

.cart-table .link-bookmark svg,
.cart-table .link svg {
	width: 24px;
	height: 24px;
	fill: var(--darkblue);
}

@media (pointer:fine) {

	.cart-table .link-bookmark:hover svg,
	.cart-table .link:hover svg {
		fill: var(--lightblue);
	}

	.cart-table .link-delete:hover svg {
		fill: var(--red);
	}
}

.cart-table .price-info {
	margin: 0 -4px;
}

@media only screen and (max-width: 767px) {

	.cart-table table,
	.cart-table thead,
	.cart-table tbody,
	.cart-table tr,
	.cart-table th,
	.cart-table td {
		display: block;
	}

	.cart-table tr {
		display: flex;
		align-items: center;
		flex-wrap: wrap;
		gap: 20px;
		padding: 19px 15px;
		border-bottom: 1px solid var(--lightlightgrey);
	}

	.cart-table td {
		background: none !important;
		border: 0 !important;
		padding: 0 !important;
		flex: 0 0 auto;
		max-width: 100%;
		width: auto !important;
		height: auto;
		min-height: 0;
	}

	.cart-table .text {
		width: 100% !important;
	}

	.cart-table .price {
		width: calc(100% - 214px) !important;
		min-width: 0;
		margin-left: auto;
	}

	.cart-table .actions {
		margin-right: -10px;
	}
}

.cart-submit {
	margin: 20px 0 0 0;
	display: flex;
}

.cart-submit .btn {
	font-weight: 600;
	font-size: var(--bold-text);
	height: 40px;
}

.cart-section .list-checks:not(:first-child) {
	margin-top: 20px;
}

.cart-section .grid-inputs:not(:last-child) {
	margin-bottom: 20px;
}

/*edited 28.10.25 start*/
@media only screen and (min-width: 768px) {
	.cart-section .grid-inputs:has(.grid-inputs-el:nth-child(3):last-child) {
		/*grid-template-columns: repeat(auto-fit, minmax(max(280px, calc((100% - 40px) / 3)), 1fr));*/
		grid-template-columns: repeat(3, 1fr);
	}
}

/*edited 28.10.25 end*/
.cart-section .list-checks-big {
	margin-top: 10px;
	margin-bottom: 40px;
}

.cart-section .cart-company {
	margin: 0 0 20px 0;
}

.cart-company-add {
	background: var(--lightlightblue);
	border-radius: var(--radius);
	margin: 20px 0 0 0;
}

.cart-company-add .head {
	cursor: pointer;
	user-select: none;
	position: relative;
	font-weight: 600;
	font-size: var(--text);
	color: var(--darkblue);
	padding: 20px 54px 20px 20px;
	display: block;
}

.cart-company-add .head input {
	position: absolute;
	transform: scale(0);
	opacity: 0;
}

.cart-company-add .head .plus {
	position: absolute;
	top: 50%;
	right: 20px;
	width: 24px;
	height: 24px;
	background: var(--darkblue);
	border-radius: 50%;
	transform: translate3d(0, -50%, 0);
}

.cart-company-add .head .plus:before,
.cart-company-add .head .plus:after {
	content: '';
	position: absolute;
	top: 50%;
	left: 50%;
	background: var(--lightlightblue);
	height: 3px;
	border-radius: 1px;
	width: 13px;
	transform: translate3d(-50%, -50%, 0);
	transition: opacity 0.4s ease;
}

.cart-company-add .head .plus:after {
	transform: translate3d(-50%, -50%, 0) rotate(90deg);
}

.cart-company-add:has(input.cart-company-checkbox:checked) .head .plus:after {
	opacity: 0;
}

.cart-company-add .inner {
	display: none;
	padding: 0 20px 20px 20px;
}

.cart-company-add:has(input.cart-company-checkbox:checked) .inner {
	display: block;
}

.cart-company:has(input.cart-company-checkbox:checked) .input-auto {
	display: none;
}

.cart-address-jur,
.cart-address-fiz {
	margin: 20px 0;
}

.cart-address-jur .grid-inputs {
	align-items: center;
	gap: 10px 20px;
}

.cart-address-jur:has(input.cart-address-checkbox:checked) .grid-inputs>*:first-child {
	display: none;
}

/*edited 28.10.25 start*/
/*edited 16.12.25 start*/
.cart-section:has(input.cart-person-jur:not(:checked)) .cart-person-jur:not(input) {
	display: none !important;
}

.cart-section:has(input.cart-person-fiz:not(:checked)) .cart-person-fiz:not(input) {
	display: none !important;
}

/*edited 16.12.25 end*/
.cart-section:has(.bic-input:placeholder-shown) .bic-input-el {
	/*"БИК" input temporary style*/
	display: none;
}

.cart-section .hide {
	display: none;
}

@media only screen and (min-width: 1280px) {
	.cart-section .cart-form.max-w {
		max-width: 780px;
	}
}

/*edited 28.10.25 end*/

/*edited 15.12.25 start*/
.cart-section:not(:has(input.cart-person-jur:checked, input.cart-person-fiz:checked)) .cart-person-any {
	display: none;
}

/*edited 15.12.25 end*/